# Lösung: Ausnahmebehandlung


```clojure
(defn number-formatter
  "Konvertiert den String `string` in einen Integer-Wert.
  Wenn die Konvertierung fehlschlägt, wird -1 zurück
  gegeben."
  [string]
  (try
    (Integer/parseInt string)
    (catch NumberFormatException nfe -1)))

```