# Lösung: mapping und cycle


```clojure
(defn map-cycle
  "Erzeugt eine unendliche Sequenz der Zahlen `zahlen`
  und berechnet für jede Zahl deren Doppeltes und zieht dann 
  1 ab. Vom Ergebnis werden `n` Elemente zurück
  gegeben."
  [n & zahlen]
  (take n (map #(dec (* % 2)) (cycle zahlen))))

```